libzypp: zyppng::ProgressObserverPrivate::ChildInfo Struct Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | List of all members
zyppng::ProgressObserverPrivate::ChildInfo Struct Reference

## Public Member Functions
| ChildInfo (std::vector< connection > &&conns, float weight)
| ChildInfo (ChildInfo &&other) noexcept
| ChildInfo (const ChildInfo &other)=delete
| ~ChildInfo ()
ChildInfo & | operator= (const ChildInfo &)=delete
ChildInfo & | operator= (ChildInfo &&other)

## Public Attributes
std::vector< connection > | _signalConns
float | _childWeight = 1.0

## Detailed Description

Definition at line 40 of file progressobserver.cc.

## Constructor & Destructor Documentation

## ◆ ChildInfo() [1/3]

zyppng::ProgressObserverPrivate::ChildInfo::ChildInfo | ( | std::vector< connection > && | conns,
|  | float | weight )
| inline

Definition at line 41 of file progressobserver.cc.

## ◆ ChildInfo() [2/3]

zyppng::ProgressObserverPrivate::ChildInfo::ChildInfo | ( | ChildInfo && | other | ) |
| inlinenoexcept

Definition at line 42 of file progressobserver.cc.

## ◆ ChildInfo() [3/3]

zyppng::ProgressObserverPrivate::ChildInfo::ChildInfo | ( | const ChildInfo & | other | ) |
| delete

## ◆ ~ChildInfo()

zyppng::ProgressObserverPrivate::ChildInfo::~ChildInfo | ( |  | ) |
| inline

Definition at line 49 of file progressobserver.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

ChildInfo & zyppng::ProgressObserverPrivate::ChildInfo::operator= | ( | const ChildInfo & |  | ) |
| delete

## ◆ operator=() [2/2]

ChildInfo & zyppng::ProgressObserverPrivate::ChildInfo::operator= | ( | ChildInfo && | other | ) |
| inline

Definition at line 54 of file progressobserver.cc.

## Member Data Documentation

## ◆ _signalConns

std::vector<connection> zyppng::ProgressObserverPrivate::ChildInfo::_signalConns

Definition at line 62 of file progressobserver.cc.

## ◆ _childWeight

float zyppng::ProgressObserverPrivate::ChildInfo::_childWeight = 1.0

Definition at line 63 of file progressobserver.cc.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/ui/progressobserver.cc